import { XMLParser } from 'fast-xml-parser';
export function getPomProperties(pomContent) {
    return new XMLParser().parse(pomContent).project.properties;
}
export function getPomVersionProperties(pomContent) {
    return Object.fromEntries(Object.entries(getPomProperties(pomContent))
        .filter(([property]) => property.endsWith('.version'))
        .map(([property, value]) => [property.slice(0, -8), value]));
}
